"{ Package: 'jv:libgdbs' }"

GDBMICommand subclass:#GDBMI_add_inferior
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_add_inferior class methodsFor:'documentation'!

documentation
"
The `-add-inferior' Command
---------------------------

Synopsis
--------

     -add-inferior

   Creates a new inferior (*note Inferiors and Programs::).  The created
inferior is not associated with any executable.  Such association may
be established with the `-file-exec-and-symbols' command (*note GDB/MI
File Commands::).  The command response has a single field, `inferior',
whose value is the identifier of the thread group corresponding to the
new inferior.

Example
-------

     {No value for `GDBP'}
     -add-inferior
     ^done,inferior='i3'


"
! !

!GDBMI_add_inferior methodsFor:'accessing'!

operation
	^ 'add-inferior'
! !

