"{ Package: 'jv:libgdbs' }"

GDBMICommand subclass:#GDBMI_gdb_show
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_gdb_show class methodsFor:'documentation'!

documentation
"
The `-gdb-show' Command
-----------------------

Synopsis
........

      -gdb-show

   Show the current value of a {No value for `GDBN'} variable.

{No value for `GDBN'} Command
.............................

The corresponding {No value for `GDBN'} command is `show'.

Example
.......

     (gdb)
     -gdb-show annotate
     ^done,value='0'
     (gdb)


"
! !

!GDBMI_gdb_show methodsFor:'accessing'!

operation
	^ 'gdb-show'
! !

