"{ Package: 'jv:libgdbs' }"

GDBMICommand subclass:#GDBMI_target_detach
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_target_detach class methodsFor:'documentation'!

documentation
"
The `-target-detach' Command
----------------------------

Synopsis
........

      -target-detach [ PID | GID ]

   Detach from the remote target which normally resumes its execution.
If either PID or GID is specified, detaches from either the specified
process, or specified thread group.  There's no output.

{No value for `GDBN'} Command
.............................

The corresponding {No value for `GDBN'} command is `detach'.

Example
.......

     (gdb)
     -target-detach
     ^done
     (gdb)


"
! !

!GDBMI_target_detach methodsFor:'accessing'!

operation
	^ 'target-detach'
! !

