"{ Package: 'jv:libgdbs' }"

GDBMICommand subclass:#GDBMI_target_file_delete
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_target_file_delete class methodsFor:'documentation'!

documentation
"
The `-target-file-delete' Command
---------------------------------

Synopsis
........

      -target-file-delete TARGETFILE

   Delete TARGETFILE from the target system.

{No value for `GDBN'} Command
.............................

The corresponding {No value for `GDBN'} command is `remote delete'.

Example
.......

     (gdb)
     -target-file-delete remotefile
     ^done
     (gdb)


"
! !

!GDBMI_target_file_delete methodsFor:'accessing'!

operation
	^ 'target-file-delete'
! !

